import request from '@/utils/request'

// 查询WmTransfer列表
export function listWmTransfer(query) {
  return request({
    url: '/api/v1/wm-transfer',
    method: 'get',
    params: query
  })
}

// 查询WmTransfer详细
export function getWmTransfer(id) {
  return request({
    url: '/api/v1/wm-transfer/' + id,
    method: 'get'
  })
}

// 新增WmTransfer
export function addWmTransfer(data) {
  return request({
    url: '/api/v1/wm-transfer',
    method: 'post',
    data: data
  })
}

// 修改WmTransfer
export function updateWmTransfer(data) {
  return request({
    url: '/api/v1/wm-transfer/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除WmTransfer
export function delWmTransfer(data) {
  return request({
    url: '/api/v1/wm-transfer',
    method: 'delete',
    data: data
  })
}

